state("Toree2")
{
	int inLevel : "UnityPlayer.dll", 0x14A6758, 0xC4, 0x128, 0x38, 0x88;		//1 if in level, 0 if not
	int victory : "UnityPlayer.dll", 0x1453134, 0x0, 0x428, 0x2C;				//1 if in victory sequence, 0 if not
	int load : "UnityPlayer.dll", 0x1477DE8, 0x14;								//4 if loading, 1 if not
	float timer : "UnityPlayer.dll", 0x147AF08, 0x1260;							//elapsed time since start of scene
}

startup
{
	settings.Add("split_late", false, "Delay splitting until menu screen (recommended for runs w/ level exit skip)");
}

init
{
	vars.firstLevel = 0;
	vars.readyToSplit = 0;
}

update
{
	if (current.victory == 1) {vars.firstLevel = 0; vars.readyToSplit = 1;}
	if ((current.timer < 0.125) && (current.inLevel == 1) && (timer.CurrentSplitIndex == 0)) {vars.firstLevel = 1; vars.readyToSplit = 0;}
}

start
{
	return (current.timer < 0.125) && (current.inLevel == 1);
}

split
{
	if (settings["split_late"] && timer.CurrentSplitIndex != 8) {
		if ((old.inLevel == 1) && (current.inLevel == 0) && (vars.readyToSplit == 1)) {vars.readyToSplit = 0; return true;};
	} else {
		return (old.victory == 0) && (current.victory == 1);
	}
}

reset
{
	return (old.timer > current.timer) && (vars.firstLevel == 1);
}

isLoading
{
	return (current.load == 4);
}